Skip to main content
GET
List Transaction Reports

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:10

Maximum number of items per page.

Required range: 1 <= x <= 100
page
integer
default:1

Page number for pagination.

Required range: x >= 1
sort_order
enum<string>
default:asc

Sort direction: asc or desc.

Available options:
asc,
desc
end_to_end_id
string

Filter by the PIX end-to-end identifier

return_identification
string

Filter by the return identification (refund reports)

initiation_type
enum<string>

Filter by initiation type; case-insensitive

Available options:
MANUAL,
DICT,
STATIC_QRCODE,
DYNAMIC_QRCODE
status
array

Transaction statuses (comma-separated)

created_at_start
string<date-time>

Filter by reports created on or after this timestamp (RFC3339)

created_at_end
string<date-time>

Filter by reports created on or before this timestamp (RFC3339)

Response

OK

items
object[]

Items contains the list of transaction reports

limit
integer

Limit is the maximum number of items per page

Example:

10

page
integer

Page is the current page number (1-based)

Example:

1

total
integer

Total is the total count of matching items

Example:

42